from Tkinter import *
import sys
#import os
import copy
import subprocess
import fileinput

class PyGUIGrid():
    def __init__(self, max_rows):
        self.max_rows=max_rows
        self.row_counter=1
        self.column_counter=1
    def pack(self, widget):
        row_counter+=1
        if(row_counter > max_rows):
            row_counter=1
            column_counter+=1
        widget.grid(column=column_counter)

class PyGUIButton():
    def __init__(self, parent, command):
        pass

class PyGUIArgument():
    def __init__(self, gui=None, arg=""):
        self.button=Button(gui,
                           command=lambda : subprocess.Popen(arg),
                           text=arg)
        #self.button.pack({"side": "left"})
        #PyGUIGrid(

class PyGUIFile():
    def __init__(self, gui=None, arg=""):
        for arg in fileinput.input():
            PyGUIArgument(gui, arg)

class PyGUIMenuBar(Frame):
    def __init__(self, master=None):
        pass

class PyGUIMenu():
    def __init__(self, master=None, label="Menu"):
        menu_button=MenuButton(menu, text=label)
        menu_button.pack(side=LEFT, padx="2m")
        menu_button_menu=Menu(menu_button)
        pass
    def add_to(self, menu, label="Button", command=None, args=""):
        pass


class PyGUI(Frame):
    def parse_command_line(self):
        first_passed=False
        for arg in sys.argv:
            if(first_passed):
                PyGUIArgument(gui=self, arg=arg)
            else:
                first_passed=True
    def __init__(self, master=None):
        Frame.__init__(self, master)
        self.pack()
        self.parse_command_line()

root = Tk()
app = PyGUI(master=root)
app.mainloop()

