/*
  GUIShell

  Swallowing code written by Peter Amstutz <tetron@interreality.org>, 2003 GPL,
  	as part of gnome-swallow.
  (c) 2007 Jeffrey Bedard 
  antiright@gmail.com

  This file is part of GUIShell.

  GUIShell is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  GUIShell is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with GUIShell; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/

#include "gtkshell.h"

GtkWidget *
gsh_swallow_app (GSH * gsh, const gchar * window_id)
{
  GtkWidget *socket, *frame, *toplvl;
  GdkNativeWindow window;

  socket = gtk_socket_new ();
  toplvl = gtk_window_new (GTK_WINDOW_TOPLEVEL);
  gtk_widget_show (toplvl);
  GSHCA (toplvl, socket);
  gtk_widget_show (socket);
//      gtk_window_present(GTK_WINDOW(toplvl));
  //$(gsh, manage, socket);
  //GSH_SET(GSH_NO_BASE_FRAME);
  //$(gsh, finalize);
//      gtk_widget_show(gsh->widgets.window);
//      gtk_widget_realize(gsh->widgets.window);
//      $(gsh, finalize);
  window = (GdkNativeWindow) g_ascii_strtoll (window_id, NULL, 0);
  assert (window);
//#if 0
  gtk_socket_add_id (GTK_SOCKET (socket), window);
  frame = gtk_frame_new ("Socket");
  gtk_widget_reparent (socket, frame);
  gtk_widget_show (socket);
  gtk_widget_destroy (toplvl);
//#endif
  $ (gsh, manage, frame);
//      gtk_socket_steal(GTK_SOCKET(socket), window);

  return socket;
}
